/*
 * ee_manager.h
 *
 *  Created on: Jul 16, 2025
 *      Author: herli
 */

#ifndef INC_EE_MANAGER_H_
#define INC_EE_MANAGER_H_
#include <stdint.h>
//#include "injection.h"

extern uint8_t memWrite;

/* EEprom values in ram */
extern float dFi;
extern uint8_t inj_mode;
extern uint8_t requestWriteHours;


extern void MEM_Init(void);
extern void MEM_WriteAll(void);
extern void MEM_RetrieveValues(void);
extern void MEM_WriteCustom(float c_dFi, uint8_t c_inj_mode);
extern void IncrementQuartHourCounter(void);


void MEM_WriteDefault(void);


#endif /* INC_EE_MANAGER_H_ */

